nvidia-graphics-drivers-legacy-340xx (340.96-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 340.96-4:
    - Do not run dh_strip_nondeterminism, it may perform modifications not
      permitted by the NVIDIA license.
    - get-orig-source: Download *.run with wget from http download server to
      preserve timestamps.
    - get-orig-source: Generate tarball reproducibly.
    - Update lintian overrides.
    - bug-script: Collect Xorg log from journalctl if running under systemd.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Jan 2016 21:21:02 +0100

nvidia-graphics-drivers-legacy-340xx (340.96-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.96 (2015-11-16).
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805919)
    * Improved compatibility with recent Linux kernels.
  * Synchronize packaging with nvidia-graphics-drivers 340.96-3:
    - Add slave alternative for libnvcuvid.so.
    - Use a more generic approach for unloading the modules.
  * Synchronize packaging with nvidia-graphics-drivers 340.96-2:
    - seq-printf.patch: Remove, fixed upstream.
  * Synchronize packaging with nvidia-graphics-drivers 340.96-1:
    - d/control: Make dependencies on nvidia-legacy-340xx-alternative strictly
      versioned to prevent partial upgrades.
    - d/module/debian/control.template: Add armhf to the Architecture list,
      otherwise module-assistant can't build any module packages from
      nvidia-legacy-340xx-kernel-source on armhf.
  * Synchronize packaging with nvidia-graphics-drivers 304.131-1:
    - Add xorg-video-abi-20 as alternative dependency.
  * conftest.h:
    - Update conftest.sh function scatterlist for logic reversal in
      304.131/340.96/352.63, support both ways.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Dec 2015 12:25:37 +0100

nvidia-graphics-drivers-legacy-340xx (340.93-5) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 340.93-8:
    - bug-control: Report status of bumblebee and bumblebee-nvidia.
    - nvidia-legacy-340xx-alternative.postinst: Activate the
      register-glx-alternative-nvidia trigger with --no-await.
    - Update documentation to use update-glx to configure the 'nvidia' and
      'glx' alternatives.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Nov 2015 12:45:08 +0100

nvidia-graphics-drivers-legacy-340xx (340.93-4) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 340.93-7:
    - Bump glx-alternative-nvidia dependency to (>= 0.7) for Xorg autoconfig.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Nov 2015 12:25:08 +0100

nvidia-graphics-drivers-legacy-340xx (340.93-3) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 340.93-6:
    - nvidia-legacy-340xx-opencl-icd: Add Depends:
      libnvidia-legacy-340xx-cuda1.
    - d/rules: Move tar option --no-recursion before the list of files.
    - Bump dependency to nvidia-kernel-common (>= 20151021) which no longer
      applies non-default permissions on the /dev/nvidia* device nodes.
    - nvidia-modprobe.conf: Re-enable the PCI ID matching aliases.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Oct 2015 16:48:07 +0200

nvidia-graphics-drivers-legacy-340xx (340.93-2) unstable; urgency=medium

  * Add nvidia-legacy-340xx-kernel-support package.
  * Synchronize packaging with nvidia-graphics-drivers 340.93-5:
    - nvidia-legacy-340xx-kernel-support: Ship nvidia-modprobe.conf
      (previously in nvidia-legacy-340xx-alternative), managed via
      nvidia-legacy-340xx-alternative.
    - nvidia-legacy-340xx-kernel-support: Ship nvidia-blacklists-nouveau.conf
      and nvidia-load.conf, managed via nvidia-legacy-340xx-alternative.
    - Reroute all kernel module dependencies through
      nvidia-legacy-340xx-kernel-support.
    - nvidia-modprobe.conf: Temporarily disable the PCI-ID-match aliases and go
      back to insecure default permissions (root:root 0666).  (See: #801869)
    - arm-outer-sync.patch: New patch to fix armhf kernel module build for
      Linux 4.3.
  * Synchronize packaging with nvidia-graphics-drivers 340.93-4:
    - bug-script: Report device node permissions.
    - bug-control, bug-script: Report information about CUDA libraries.
    - libcuda1: Provides: libcuda1-any.
    - xserver-xorg-video-nvidia-legacy-340xx: Ship
      nvidia-drm-outputclass.conf, managed via
      nvidia-legacy-340xx-alternative.
    - seq-printf.patch: New patch to fix kernel module build for Linux 4.3.
  * Synchronize packaging with nvidia-graphics-drivers 340.93-2:
    - Drop instructions and debconf notes about manual xorg.conf creation. The
      driver now integrates with Xorg s.t. it is automatically detected and
      loaded if selected as the glx alternative.
  * conftest.h:
    - Implement new conftest.sh functions hlist_for_each_entry,
      of_parse_phandle, for_each_online_node, node_end_pfn (358.09).
  * Recommend nvidia-settings-legacy-340xx.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Oct 2015 17:07:24 +0200

nvidia-graphics-drivers-legacy-340xx (340.93-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.93 (2015-09-02).
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      (Closes: #800568)
    - Fixed a bug that caused the X server to crash if an OpenGL application
      tried to allocate a drawable when GPU-accessible memory is exhausted.
    - Fixed a bug that could cause an Xid error when terminating a video
      playback application using the overlay presentation queue in VDPAU.
    - Fixed a rare deadlock condition when running applications that use
      OpenGL in multiple threads on a Quadro GPU.
    - Fixed a bug which caused truncation of the EGLAttribEXT value returned
      by eglQueryDeviceAttribEXT() on 64-bit systems.
    - Fixed a kernel memory leak that occurred when looping hardware-
      accelerated video decoding with VDPAU on Maxwell-based GPUs.
    - Fixed a bug that caused the X server to crash if a RandR 1.4 output
      provided by a Sink Output provider was selected as the primary output on
      X.Org xserver 1.17 and higher.
    - Fixed a bug that caused waiting on X Sync Fence objects in OpenGL to
      hang indefinitely in some cases.
    - Fixed a bug that prevented OpenGL from properly recovering from
      hardware errors or sync object waits that had timed out.
    * Improved compatibility with recent Linux kernels.
  * Synchronize packaging with nvidia-graphics-drivers 340.93-3:
  * Synchronize packaging with nvidia-graphics-drivers 340.93-2:
    - nvidia-legacy-340xx-driver-bin, libnvidia-legacy-340xx-compiler,
      libnvidia-legacy-340xx-eglcore, libgl1-nvidia-legacy-340xx-glx: Add
      Provides+Conflicts: $pkg-${nvidia:Version} to forbid co-installation
      with the respective legacy packages from the same upstream version due
      to file conflicts on versioned files are not handled via alternatives.
    - bug-script: Report file information in arm-linux-gnueabihf directories.
    - bug-script: Collect information from /etc/modules{,-load.d/}.
    - nvidia-legacy-340xx-driver: Add Recommends: nvidia-persistenced.
    - nvidia-legacy-340xx-modprobe.conf:  (Closes: #798207)
      + Don't use aliases for the renamed modules, only use install and remove
        commands.
      + Remodel the nvidia-uvm -> nvidia dependency via an install command.
      + Duplicate the module's built-in PCI-ID-match aliases to ensure they
        cause the virtual "nvidia" module to be loaded instead of a random
        one.
  * Synchronize packaging with nvidia-graphics-drivers 340.93-1:
    - fixes-for-kernel-4.0.0.patch: Remove, fixed upstream.
  * conftest.h:
    - Implement new conftest.sh function nvidia_grid_build (352.41).
  * Update lintian overrides.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Oct 2015 09:57:19 +0200

nvidia-graphics-drivers-legacy-340xx (340.76-6) unstable; urgency=medium

  * Fork as new legacy-340xx source package.
  * Do not build nvidia-detect, nvidia-opencl-common, nvidia-libopencl1,
    nvidia-cuda-mps packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Aug 2015 06:20:39 +0200



nvidia-graphics-drivers (340.76-5) unstable; urgency=medium

  * Drop obsolete transitional package nvidia-glx.
  * nvidia-kernel-*: [i386] Drop support for building amd64 kernel modules.
  * Overhaul arch-specific UVM support.
  * nvidia-detect: Add support for the upcoming nvidia-legacy-340xx-driver.
  * Rename nvidia-uvm.ko to nvidia-{current,legacy-*}-uvm.ko.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Aug 2015 18:30:32 +0200

nvidia-graphics-drivers (340.76-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * README.source: Document my schroot setup for testing module compilation.
  * Update lintian overrides.

  [ Luca Boccassi ]
  * conftest.h:
    - dma_map_ops and dma_ops are available for PPC and ARM too
  * Add ignore_xen_on_arm.patch needed for dkms build on armhf: armmp
    kernel headers ship with CONFIG_XEN enabled, which breaks the build,
    so since running this driver on XEN is currently not supported,
    ignore the check for XEN in nv-linux.h as a workaround on arm, and
    also disable CONFIG_XEN and CONFIG_XEN_DOM0 if building on <= 3.16.
    (Closes: #794435)
  * README.source: Document armhf setup for testing module compilation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Aug 2015 02:23:23 +0200

nvidia-graphics-drivers (340.76-3) unstable; urgency=medium

  [ Vincent Cheng ]
  * nvidia-detect: Detect stretch as supported suite, and parse -h as --help.
    (Closes: #792801)

  [ Luca Boccassi ]
  * Fix nvidia-modprobe.conf module unload ordering, to stop nvidia-uvm
    getting stuck until a second modprobe -r nvidia-current is issued.
    Fix provided by Jö Fahlke. Thanks! (Closes: #793386)

  [ Andreas Beckmann ]
  * Add Luca Boccassi to Uploaders.
  * nvidia-driver, nvidia-kernel-*: Report the latest tested Linux version
    that can build the kernel module in the package description.
  * conftest.h:
    - Fix conftest.sh function write_cr4.
    - Implement new conftest.sh functions backing_dev_info (346.82),
      phys_to_dma, dma_ops, get_dma_ops, noncoherent_swiotlb_dma_ops (352.09).
    - Implement new conftest.sh function dma_map_ops (352.30).
    - Reorder conftest.h to match conftest.sh.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Aug 2015 22:33:27 +0200

nvidia-graphics-drivers (340.76-2) unstable; urgency=medium

  * fixes-for-kernel-4.0.0.patch: New patch to add support for Linux 4.0,
    thanks to Jessie Frazelle.  (Closes: #781810)
  * conftest.h:
    - Implement check for linux/log2.h (346.16).
    - Implement check for xen/ioemu.h (346.59).
    - Implement new conftest.sh functions write_cr4, xen_ioemu_inject_msi
      (346.59), list_cut_position (349.12).
  * Split some old UNRELEASED changelog entries to linearize the BTS history.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2015 20:47:07 +0200

nvidia-graphics-drivers (340.76-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.76 (2015-01-27).
    - Fixed a bug that caused frequent AMD-Vi page faults on systems with
      some AMD 8xx/9xx-series chipsets when used with some NVIDIA GPUs.
    - Fixed a regression that could cause system crashes when terminating the
      X server on systems with an NVIDIA Quadro SDI Capture card installed.
    - Fixed a bug that caused audio over HDMI to not work on some GPUs while
      using a display that supports HDMI 3D.
    * Improved compatibility with recent Linux kernels.  (Closes: #778698)
  * nvidia-kernel-source: Use reproducible timestamps and file order inside
    /usr/src/nvidia-kernel.tar.xz.
  * conftest.h:
    - Implement new conftest.sh functions file_inode, drm_pci_set_busid
      (340.76).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2015 19:42:13 +0100

nvidia-graphics-drivers (340.65-2) unstable; urgency=medium

  * Merge changes from 304.125-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2014 22:10:14 +0100

nvidia-graphics-drivers (340.65-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.65 (2014-12-08).
    * Fixes CVE-2014-8298.  (Closes: #772971)
    - Fixed a bug that prevented internal 4K panels on some laptops from being
      driven at a sufficient bandwidth to support their native resolutions.
    - Fixed a regression that prevented the NVIDIA kernel module from loading
      in some virtualized environments such as Amazon Web Services.
    - Fixed a regression that caused displays to be detected incorrectly on
      some notebook systems.  (Closes: #770798, #765726)
    - Fixed a bug that could cause X to freeze when using Base Mosaic.
    - Fixed a regression that prevented the NVIDIA X driver from recognizing
      Base Mosaic layouts generated by the nvidia-settings control panel.
  * Merge changes from 304.125 (UNRELEASED).
  * Add xorg-video-abi-19 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Dec 2014 21:10:11 +0100

nvidia-graphics-drivers (340.58-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.58 (2014-11-05).
    - Added support for the following GPUs: GeForce GT820M, GeForce GTX 760A,
      GeForce GTX 850A, GeForce 810A, GeForce 820A, GeForce 840A, Tesla K8.
    - Fixed a bug that could cause VT-switching to fail following a
      suspend, resume, and driver reload sequence.
    - Fixed a bug that caused incorrect colors to be displayed on X screens
      running at depth 8 on some GPUs.
    - Fixed a bug that prevented GPUs from being correctly recognized in
      MetaMode strings when identified by UUID.
    - Implemented support for disabling indirect GLX context creation using
      the -iglx option available on X.Org server release 1.16 and newer.  Note
      that future X.Org server releases may make the -iglx option the default.
      To re-enable support for indirect GLX on such servers, use the +iglx
      option.
    - Added the "AllowIndirectGLXProtocol" X config option.  This option can
      be used to disallow use of GLX protocol.  See "Appendix B. X Config
      Options" in the README for more details.
  * Update nv-readme.ids.
  * conftest.h:
    - Implement check for drm/drm_gem.h (340.58).
    - Implement new conftest.sh functions pci_save_state (340.58), follow_pfn,
      fault_flags, atomic64_type (346.16).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Dec 2014 01:21:29 +0100

nvidia-graphics-drivers (340.46-6) unstable; urgency=medium

  * nvidia-kernel-dkms: Switch to Recommends: nvidia-driver | libcuda1
    to break the chain libcuda1 -> nvidia-kernel-dkms -> nvidia-driver.
  * nvidia-opencl-icd: Downgrade the Depends: libcuda1 to Suggests. This
    should avoid pulling in too many NVIDIA packages on wheezy -> jessie
    upgrades of systems that have no NVIDIA hardware, but nvidia-opencl-icd
    installed nevertheless.  (Closes: #769072 and many duplicates)
  * nvidia-detect: Update list of newer PCI IDs from release 346.16.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Nov 2014 20:08:09 +0100

nvidia-graphics-drivers (340.46-5) unstable; urgency=medium

  * nvidia-driver-bin: Breaks+Replaces nvidia-glx from wheezy.
  * libgles2-nvidia: Fix the SONAME symlink.
  * nvidia-alternative: Ship /usr/share/nvidia (slave alternative location).
  * New Dutch (nl) debconf translations by Frans Spiesschaert.
    (Closes: #767492)
  * README.source: Document the nks-history.git repository.
  * bug-script: Collect more information.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Nov 2014 18:47:36 +0100

nvidia-graphics-drivers (340.46-4) unstable; urgency=medium

  * Fix installation of nvidia-smi.  (Closes: #766343)
  * Add more dependencies on nvidia-alternative.
  * d/rules: Add #!armhf# and #!legacy# substitutions.
  * nvidia-driver: Stop shipping nvidia-persistenced, this is being moved to a
    separate source package.
  * Split nvidia-driver-bin from the metapackage nvidia-driver.
  * nvidia-driver-bin: Support switching via nvidia-alternative.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Oct 2014 23:43:37 +0100

nvidia-graphics-drivers (340.46-3) unstable; urgency=medium

  * Updated French (fr) debconf translations by Christian Perrier.
  * bug-script: Run xrandr, if possible.
  * nvidia-driver: Depend on libegl1-nvidia and recommend libgles[12]-nvidia.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Oct 2014 00:09:17 +0200

nvidia-graphics-drivers (340.46-2) unstable; urgency=medium

  * Add libcuda1 dependency to libraries that seem to be capable of doing
    dlopen("libcuda.so") or dlopen("libcuda.so.1").
  * nvidia-libopencl1.symbols: Ensure ocl-icd-libopencl1 is always the first
    alternative, dependency lists may be reordered.
  * Merge changes from 331.104 (UNRELEASED).
  * README.source: Document workflow for importing a new upstream release that
    has moved support for some legacy cards to a new legacy driver.
  * nvidia-detect: Report that a driver supporting GeForce GTX 970/980 will be
    made available in jessie-backports (and experimental).
  * d/rules: Correctly parse PCI ID lists from upstream README of release
    343xx onwards.
  * conftest.h:
    - DRM is only supported on Linux >= 3.9.  (Closes: #765679)
    - Implement extensions to conftest.sh function vm_operations_struct
      (343.13).
  * bug-script: Collect more information.
  * Update lintian overrides.
  * nvidia-vdpau-driver: Support switching via nvidia-alternative.
  * libcuda1: Support switching via nvidia-alternative.
  * nvidia-opencl-icd: Support switching via nvidia-alternative.
  * lib{egl1,gles1,gles2}-nvidia: Support switching via nvidia-alternative.
  * libnvidia-{ifr1,bfc1}: Support switching via nvidia-alternative.
  * libnvidia-encode1, libnvcuvid1: Support switching via nvidia-alternative.
  * libnvidia-ml1, nvidia-smi: Support switching via nvidia-alternative.
  * nvidia-driver: Recommend libegl1-nvidia and suggest libgles[12]-nvidia.
  * d/rules{,.defs}: Drop MULTIARCH switch - this is always enabled nowadays.
  * libgl1-nvidia-glx.preinst: Rework the legacy check. Use more debconf
    variable substitutions for easy reuse of the translations.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 10:30:50 +0200

nvidia-graphics-drivers (340.46-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream long lived branch release 340.46 (2014-09-30).
    - Fixed a crash with UnrealEngine 4 when the application was started
      with the -opengl4 commandline switch.
    - Fixed an OpenGL issue that could cause glReadPixels() operations to
      be improperly clipped when resizing composited application windows,
      potentially leading to momentary X freezes.
    - Fixed a bug that could prevent the GLSL compiler from correctly
      evaluating some expressions when compiling shaders.
    - Added option UseSysmemPixmapAccel to control the use of GPU acceleration
      for X drawing operations on pixmaps allocated in system memory.
  * Unload uvm module when nvidia is unloaded. (Closes: #749018)
  * conftest.h:
    - Tighten conftest.h check for drm/drmP.h.
    - Implement new conftest.sh functions sg_table, sg_alloc_table (340.46).

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-6.{0,5}-1{,-i386}.
  * nvidia-detect: Legacy driver 173xx won't be available in jessie.
  * Merge changes from 304.123 (UNRELEASED).
  * Bump Standards-Version to 3.9.6. No changes needed.
  * Update lintian overrides.
  * Restrict watch file to releases from the 340.xx long lived branch.
  * libgl1-nvidia-glx.preinst: Implement hardware check for legacy GPUs that
    require the nvidia-legacy-304xx-driver package. Based on the
    implementation of the same feature in fglrx-driver (libfglrx.preinst).
    - Show debconf question in preinst asking whether to proceed with driver
      installation in case GPUs only supported in nvidia-legacy-304xx-driver
      are present in the machine. (Having *no* supported hardware installed at
      all is *not* an error.)
    - The hardware check can be disabled via preseeding to allow unattended
      installations/upgrades.
    (Closes: #761062)
  * Import and adjust the corresponding debconf translations from
    fglrx-driver.

  [ Beren Minor ]
  * Fix DRM support activation in conftest.h. (Closes: #731265)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Oct 2014 20:08:51 -0700

nvidia-graphics-drivers (340.32-1) unstable; urgency=medium

  * New upstream long lived branch release 340.32 (2014-08-12).
    - Added support for the following GPUs: Quadro K420, Quadro K620,
      Quadro K2200, Quadro K4200, Quadro K5200, GeForce 830A.
    - Fixed a regression that prevented the internal stereo infrared emitter
      built into some 3D Vision monitors from working.
    - Fixed a bug that could cause some Java-based OpenGL applications using
      JOGL to crash on startup on systems with Xinerama enabled.
    - Fixed a bug that could prevent OpenGL Framebuffer Objects (FBOs)
      from being properly redrawn after a modeswitch.
    - Fixed a memory leak that occurred when starting OpenGL applications.
    - Fixed a bug that prevented the EDID-Like Data (ELD) of audio-capable
      displays from being updated when hotplugged/unplugged.
    - Fixed a bug that caused Xid errors when using stereo mode 12 (HDMI 3D)
      on Quadro boards without an onboard stereo DIN connector.
    - Fixed a video corruption issue for VDPAU decoding of VC-1 and WMV
      video streams utilizing range remapping on Maxwell GPUs.
    - Fixed a "black window" bug in Ubuntu 14.04 when using the Xinerama
      and Composite extensions.
    - Fixed a bug that caused the screen's contents to be shifted downward when
      a G-SYNC monitor is unplugged and replaced by a non-G-SYNC monitor.
    - Fixed a bug that prevented G-SYNC from working when a G-SYNC monitor
      was unplugged and plugged back in without a modeset.
  * Refresh debian/patches/man-fixes-nvidia-smi.patch and patches applied to
    nvidia-kernel-dkms.
  * Update nv-readme.ids.
  * conftest.h: Implement new conftest.sh function acpi_op_remove (304.123).

 -- Vincent Cheng <vcheng@debian.org>  Sat, 16 Aug 2014 23:49:21 -0700

nvidia-graphics-drivers (340.24-2) unstable; urgency=high

  * Fix FTBFS on armhf by not installing non-existent files. (Closes: #754621)
  * Urgency=high because nvidia is currently completely broken in testing due
    to xserver 1.16 migration and ABI bump.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 23:57:46 -0700

nvidia-graphics-drivers (340.24-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream long lived branch release 340.24 (2014-07-08).
    - Fixed a regression, introduced in the 340.17 public beta release,
      that caused the NVIDIA X driver to access freed memory when exiting
      a GLX application that used either of the GLX_NV_video_out or
      GLX_NV_present_video extensions.
    - Fixed a bug that prevented 3D Vision stereo and ultra low motion blur
      modes from working on G-SYNC capable monitors in some cases.
    - Fixed a kernel crash when running some applications with IOMMU
      functionality enabled.
    - Fixed a floating point exception in the OpenGL driver when running
      "Risk of Rain" under Wine.
  * New upstream beta 340.17 (2014-06-09).
    - Made various improvements and corrections to the information reported
      to GL applications via the KHR_debug and ARB_debug_output extensions.
    - Fixed a bug that caused GLX applications which simultaneously create
      drawables on multiple X servers to crash when swapping buffers.
    - Added support for controlling the availability of Fast Approximate
      Antialiasing (FXAA) on a per-application basis via the new
      __GL_ALLOW_FXAA_USAGE environment variable and the corresponding
      GLAllowFXAAUsage application profile key. See the README for details.
    - Fixed a bug where indirect rendering could become corrupted on
      system configurations that disallow writing to executable memory.
    - Added initial support for G-SYNC monitors.  Additional details and system
      requirements can be found at:
        http://www.geforce.com/hardware/technology/g-sync
    - Improved support for running the NVIDIA driver in configurations where
      writing to executable memory is disallowed.  Driver optimizations that
      require writing to executable memory can be forcefully disabled using the
      new __GL_WRITE_TEXT_SECTION environment variable.  See the README for more
      details.
    - Fixed an X driver bug that caused gamma ramp updates of the green
      channel at depth 15, on some recent GPUs, to be ignored.
  * New upstream short lived branch release 337.25 (2014-05-30).
    - Fixed a bug that caused X to crash when querying clock offsets for
      non-existent performance levels.
    - Added support for the following GPUs: GeForce GTX TITAN Z,
      GeForce GT 740.
    - Fixed a performance regression when running KDE with desktop effects
      using the OpenGL compositing backend.
    - Fixed a regression that could cause OpenGL rendering corruption on X
      screens with 30 bit per pixel color.
  * Refresh debian/patches/man-fixes-nvidia-smi.patch.
  * Add myself to Uploaders.
  * Add xorg-video-abi-18 as alternative dependency.
    (Closes: #755020, #755138, #751082, #754828, #754251).
  * Update nv-readme.ids.
  * Update symbols control files.

  [ Andreas Beckmann ]
  * nvidia-driver: Ship new file                        (Closes: #748909)
    /usr/share/nvidia/nvidia-application-profiles-$VER-key-documentation.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 14:05:31 -0700
